<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfButton } from '~/models';

export default Vue.extend({
  name: 'WhyUpgradeHero',
  props: {
    title: {
      type: String,
      required: false,
      default: '',
    },
    subheader: {
      type: String,
      required: false,
      default: '',
    },
    description: {
      type: String,
      required: false,
      default: '',
    },
    button: {
      type: Object as PropType<CtfButton>,
      required: false,
      default: () => {},
    },
    secondaryCta: {
      type: Object as PropType<CtfButton>,
      required: false,
      default: () => {},
    },
  },
  data() {
    return {};
  },
});
</script>
<template>
  <section id="overview" class="why-upgrade-hero why-upgrade__section">
    <SlpTypography tag="h1" variant="heading1-bold" class="slp-mb-32">{{
      title
    }}</SlpTypography>
    <SlpTypography tag="h2" variant="heading5" class="slp-mb-32">{{
      subheader
    }}</SlpTypography>
    <SlpTypography
      variant="body1"
      tag="div"
      class="why-upgrade-hero__description"
    >
      <div v-html="$md.render(description)"></div
    ></SlpTypography>
    <div v-if="button" class="why-upgrade-hero__cta">
      <div></div>
      <div class="why-upgrade-hero__cta-inner">
        <SlpButton
          variant="secondary"
          class="cta-button"
          :href="button.externalUrl"
          :data-ga-name="button.dataGaName"
          :data-ga-location="button.dataGaLocation"
        >
          <SlpIcon icon="slp-chat" size="md" alt="Chevron Right Icon" />
          {{ button.text }}
        </SlpButton>
        <SlpButton
          v-if="secondaryCta"
          variant="tertiary"
          class="cta-button"
          :href="secondaryCta.externalUrl"
          :data-ga-name="secondaryCta.dataGaName"
          :data-ga-location="secondaryCta.dataGaLocation"
        >
          {{ secondaryCta.text }}
          <SlpIcon
            name="chevron-lg-right"
            variant="product"
            hex-color="#171321"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </div>
    </div>
  </section>
</template>

<style scoped lang="scss">
.why-upgrade-hero {
  // padding-top: 64px;
  @media (min-width: $breakpoint-lg) {
    // padding-top: 96px;
    padding-bottom: 0 !important;
  }
  &__description {
    &:deep(ul) {
      display: grid;
      grid-template-columns: 1fr;
      gap: 24px;
      margin-top: 32px;
      @media (min-width: $breakpoint-md) {
        grid-template-columns: 1fr 1fr;
      }
      strong {
        font-weight: 600;
        color: $color-surface-700;
      }
      li {
        font-size: 16px;
        font-weight: 400;
        line-height: 24px;
        text-align: left;
        position: relative;
        padding-left: 40px;
        color: $color-surface-500;
        &:before {
          content: '';
          height: 6px;
          width: 12px;
          border-right: 2px solid #10b0b0;
          border-top: 2px solid #10b0b0;
          position: absolute;
          left: 0;
          top: 0;
          left: 6px;
          top: 9.5px;
          transform: rotate(130deg);
        }
        &:after {
          content: '';
          height: 24px;
          width: 24px;
          border-radius: 100%;
          border: 2px solid #10b0b0;
          position: absolute;
          left: 0;
          top: 3px;
        }
      }
    }
  }
  &__cta {
    @media (min-width: $breakpoint-lg) {
      display: grid;
      grid-template-columns: repeat(2, minmax(0, 1fr));
      gap: 24px;
    }
  }
  &__cta-inner {
    margin-top: 32px;
    width: 100%;
    @media (min-width: $breakpoint-md) {
      justify-content: right;
    }
    @media (min-width: $breakpoint-lg) {
      margin-top: 0;
    }
    &:deep {
      .slp-btn-secondary {
        border-radius: 4px;
        border: 1px solid $color-surface-700;
        transition: 0.25s;

        @media (min-width: $breakpoint-md) {
          margin-right: 16px;
        }

        &:hover {
          border: 1px solid $color-surface-200;
        }
        .slp-icon {
          width: 24px;
          height: 24px;
          margin-right: 4px;
        }
      }
      .slp-btn-tertiary {
        padding-right: 0;
      }
      a {
        display: flex;
        margin: 16px 0;
        text-align: center;
        justify-content: center;

        @media (min-width: $breakpoint-md) {
          display: inline-flex;
        }
      }
    }
    @media (min-width: $breakpoint-lg) {
      display: flex;
      transform: translateY(-100%);
    }
  }
  &:deep {
    h1 {
      max-width: 668px;
    }
  }
}
</style>
